Subject: Re: [PATCH] can: use sock_efree instead of own destructor

From: Oliver Hartkopp <[email-masked]>
Date: Tue, 10 Mar 2015 15:55:32 +0100

On 03/10/2015 03:36 PM, Eric Dumazet wrote:
> On Tue, 2015-03-10 at 14:36 +0100, Oliver Hartkopp wrote:

>> Maybe Alexander can send a patch which adds a comment, as I don't know if I
>> would find the best words for it.
> 
> Please do not top post on netdev.

? I did not.

> If you cannot find best words for it, maybe a comment would not be
> useful : Very often, best comments are added by people that had problems
> to understand the code ;)

Yes that's why I asked the original author to do so - he hopefully understood
his code :-)

> 
> I do not trust comments, I prefer using "git grep" or tools like that to
> check call sites.
> 
> In this particular case this becomes clear, while being concise.
> 
> # git grep -n sock_efree

A good hint! Will use this first in the future.

Thanks,
Oliver